<?php

require_once('/usr/php/include/provisioningTool.class.php');
require_once('/usr/local/www/berogui/includes/Helper/Helper.php');

class apiCall {

	private $_name, $_parameters, $_files, $_execResult, $_execResultString, $_execResponseCode;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = basename(dirname(__FILE__));
		$this->_parameters = array_merge($get, $post);
		$this->_files = $files;
		$this->_execResult = true;
		$this->_execResponseCode = 200;
		$this->_execResultString = 'success';
	}

	function execute () {

		$pt = new provisioningTool(true);

		if ($pt->updateConfig() == false) {
			$this->_execResultString = 'error<br/>'. $pt->getStdout();
			$this->_execResult = false;
			$this->_execResponseCode = 500;
			return($this->_execResult);
		}

		Helper::activate(3);
		$this->_execResultString .= "<br/>". $pt->getStdout();

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}

	function responsecode () {
		return($this->_execResponseCode);
	}
}

?>
